Bug 97736 - corrupted argument values when passed to a function
corrupted argument values when passed to a function
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gcc (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-19 17:34 EDT by umut
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
c file (2.05 KB, text/plain)
2003-06-19 17:35 EDT, umut
no flags Details
result file (467 bytes, text/plain)
2003-06-19 17:38 EDT, umut
no flags Details
result file (467 bytes, text/plain)
2003-06-19 17:52 EDT, umut
no flags Details

  None (edit)
Description umut 2003-06-19 17:34:20 EDT
Description of problem:Argument values/addresses get corrupted when passed to a 
function


Version-Release number of selected component (if applicable):  gcc-2.96-112.7.2


How reproducible: Always


Steps to Reproduce:
1.cc -o a a.c
2.
3.
    
Actual results:


Expected results:


Additional info: see the attached code.
Comment 1 umut 2003-06-19 17:35:52 EDT
Created attachment 92500 [details]
c file
Comment 2 umut 2003-06-19 17:38:02 EDT
Created attachment 92501 [details]
result file

The output of the attached c code.
Comment 3 umut 2003-06-19 17:52:53 EDT
Created attachment 92502 [details]
result file

The output of the attached c code.
Comment 4 Richard Henderson 2004-10-03 19:39:52 EDT
FWIW, it is fixed with 3.2.3-24 in RHEL3.
Comment 5 RHEL Product and Program Management 2007-10-19 15:24:48 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.